chrome.storage.local.get('active', (result) => {
    if (result.active !== false) {  // default to active if not set
        const extractEmails = () => {
            const regex = /[\w.-]+@[\w.-]+\.\w+/g;
            const matches = document.body.innerText.match(regex);
            const emails = matches ? Array.from(new Set(matches)) : [];
            return emails;
        };

        const emails = extractEmails();
        if (emails.length > 0) {
            const title = document.title;
            chrome.runtime.sendMessage({ emails: emails, url: window.location.href, title: title });
        }
    }
});
